Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.update
Class UpdateHelper

    java.lang.Object
      com.sun.mdm.index.update.UpdateHelper

public class UpdateHelper
extends java.lang.Object

helper methods for update manager

Constructor Summary
`UpdateHelper()` Creates new UpdateHelper

Method Summary
`void` | `activateEO(EnterpriseObject eo, java.util.Date date)` activates an `EnterpriseObject`
`int` | `contains(java.lang.Object o, java.lang.Object[] array)` Checks if an array of Objects if contains the specified object
`EnterpriseObject` | `createEO(SystemObject obj)` create a new EnterpriseObject using a SystemObject
`void` | `deactivateEO(EnterpriseObject eo, java.util.Date date)` deactivates an `EnterpriseObject`
`void` | `removeSO(java.lang.String system, java.lang.String lid, EnterpriseObject srcEo)` remove a SystemObject
`SystemObject` | `transferSO(java.lang.String system, java.lang.String lid, EnterpriseObject srcEo, EnterpriseObject destEo)` transfer a SystemObject
`EnterpriseObject` | `updateSO(SystemObject newSO, EnterpriseObject eo, boolean copyFlags, boolean replaceSO)` Update a SystemObject in an EnterpriseObject
`SystemObject` | `updateSO(SystemObject newSO, SystemObject oldSO, boolean copyFlags, boolean replaceSO)` Update a SystemObject

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateHelper

    public UpdateHelper()

  Creates new UpdateHelper

Method Detail

### activateEO

    public void activateEO(EnterpriseObject eo,
                           java.util.Date date)
                    throws ObjectException

  activates an `EnterpriseObject`

  Parameters:
    `eo` - EnterpriseObject to be activated
    `date` - Date of being deactivated
  Throws:
    `ObjectException` - error accessing ObjectNode

### contains

    public int contains(java.lang.Object o,
                        java.lang.Object[] array)

  Checks if an array of Objects if contains the specified object

  Parameters:
    `o` - object to be checked
    `array` - array of objects
  Returns:
    position of the object in the array, -1 if not found

### createEO

    public EnterpriseObject createEO(SystemObject obj)
                              throws SystemObjectException,
                                     ObjectException

  create a new EnterpriseObject using a SystemObject

  Parameters:
    `obj` - SystemObject
  Returns:
    newly created EnterpriseObject
  Throws:
    `SystemObjectException` - error accessing SystemObject
    `ObjectException` - error accessing ObjectNode

### deactivateEO

    public void deactivateEO(EnterpriseObject eo,
                             java.util.Date date)
                      throws ObjectException

  deactivates an `EnterpriseObject`

  Parameters:
    `eo` - EnterpriseObject to be deactivated
    `date` - Date of being deactivated
  Throws:
    `ObjectException` - error accessing ObjectNode

### removeSO

    public void removeSO(java.lang.String system,
                         java.lang.String lid,
                         EnterpriseObject srcEo)
                  throws ObjectException

  remove a SystemObject

  Parameters:
    `system` - SystemCode
    `lid` - Local ID
    `srcEo` - EnterpriseObject to remove from
  Throws:
    `ObjectException` - error accessing ObjectNode

### transferSO

    public SystemObject transferSO(java.lang.String system,
                                   java.lang.String lid,
                                   EnterpriseObject srcEo,
                                   EnterpriseObject destEo)
                            throws UpdateException,
                                   ObjectException

  transfer a SystemObject

  Parameters:
    `system` - SystemCode of the system object to be transfered
    `lid` - local ID of the system object to be transfered
    `srcEo` - EnterpriseObject to transfer from
    `destEo` - EnterpriseObject to transfer to
  Returns:
    reference to the SystemObject
  Throws:
    `ObjectException` - error accessing ObjectNode
    `UpdateException` - invalid system code / lid

### updateSO

    public EnterpriseObject updateSO(SystemObject newSO,
                                     EnterpriseObject eo,
                                     boolean copyFlags,
                                     boolean replaceSO)
                              throws SystemObjectException,
                                     ObjectException

  Update a SystemObject in an EnterpriseObject

  Parameters:
    `newSO` - new image of SystemObject
    `eo` - EnterpriseObject
    `copyFlags` - passed to updateIfNotNull
    `replaceSO` - flag to indicate to replace SystemObject values
  Returns:
    updated EnterpriseObject
  Throws:
    `SystemObjectException` - error accessing SystemObject
    `ObjectException` - error accessing ObjectNode

### updateSO

    public SystemObject updateSO(SystemObject newSO,
                                 SystemObject oldSO,
                                 boolean copyFlags,
                                 boolean replaceSO)
                          throws SystemObjectException,
                                 ObjectException

  Update a SystemObject

  Parameters:
    `newSO` - reference to new SystemObject
    `oldSO` - reference to old SystemObject
    `copyFlags` - passed to updateIfNotNull
    `replaceSO` - flag to indicate to replace SystemObject values
  Returns:
    reference to updated SystemObject
  Throws:
    `SystemObjectException` - error accessing SystemObject
    `ObjectException` - error accessing ObjectNode

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.